## org.eclipse.emf.ocl.uml
Interface CallOperationAction

All Superinterfaces:
  EObject, Notifier

All Known Implementing Classes:
  CallOperationActionImpl

Deprecated. Use the `CallOperationAction` interface, instead.

    @Deprecated
    public interface CallOperationAction

extends EObject

Field Summary
`static String` `copyright` Deprecated.

Method Summary
`EOperation` `getOperation()` Deprecated.
`void` `setOperation(EOperation value)` Deprecated. Sets the value of the '`Operation`' reference

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### copyright

    static final String copyright

  Deprecated.

  See Also:
    Constant Field Values

Method Detail

### getOperation

    EOperation getOperation()

  Deprecated.

### setOperation

    void setOperation(EOperation value)

  Deprecated.
  Sets the value of the '`Operation`' reference.

  Parameters:
    `value` - the new value of the 'Operation' reference.
  See Also:
    `getOperation()`

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.